> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get phone numbers associated with a specific messaging service by SID



## OpenAPI

````yaml get /agency/twilio/messaging-service-phone-numbers-by-sid
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /agency/twilio/messaging-service-phone-numbers-by-sid:
    get:
      tags:
        - Twilio
      summary: Get phone numbers associated with a specific messaging service by SID
      operationId: TwilioController_getMessagingServicePhoneNumbersBySid
      parameters:
        - name: messagingServiceSid
          required: true
          in: query
          description: Messaging service SID (e.g., MGd1************************Vsa)
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: Page number for pagination
          schema:
            type: number
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            type: number
      responses:
        '200':
          description: List of phone numbers associated with the messaging service
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        sid:
                          type: string
                          description: Phone number SID
                        accountSid:
                          type: string
                          description: Account SID
                        phoneNumber:
                          type: string
                          description: Phone number in E.164 format
                        countryCode:
                          type: string
                          description: Country code
                        capabilities:
                          type: object
                          description: Phone number capabilities
                          properties:
                            sms:
                              type: boolean
                            voice:
                              type: boolean
                            mms:
                              type: boolean
                        dateCreated:
                          type: string
                          description: Creation date
                        dateUpdated:
                          type: string
                          description: Last update date
                        url:
                          type: string
                          description: Resource URL
                  meta:
                    type: object
                    properties:
                      page:
                        type: number
                        description: Current page number
                      pageSize:
                        type: number
                        description: Items per page
                      totalPages:
                        type: number
                        description: Total number of pages
                      total:
                        type: number
                        description: Total number of items
                      start:
                        type: number
                        description: Starting index of current page
                      end:
                        type: number
                        description: Ending index of current page
        '400':
          description: Bad request - messagingServiceSid is required
        '401':
          description: Unauthorized
        '404':
          description: Messaging service not found
        '500':
          description: Internal server error
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````